Package opennlp.tools.ml.model

# Interface SequenceClassificationModel

All Known Implementing Classes:
  `BeamSearch`

public interface SequenceClassificationModel
A classification model that can label an input `Sequence`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<T> Sequence`
  `bestSequence(T[] sequence, Object[] additionalContext, BeamSearchContextGenerator<T> cg, SequenceValidator<T> validator)`
  Finds the `Sequence` with the highest probability.
  `<T> Sequence[]`
  `bestSequences(int numSequences, T[] sequence, Object[] additionalContext, double minSequenceScore, BeamSearchContextGenerator<T> cg, SequenceValidator<T> validator)`
  Finds the n most probable `sequences` with the highest probability.
  `<T> Sequence[]`
  `bestSequences(int numSequences, T[] sequence, Object[] additionalContext, BeamSearchContextGenerator<T> cg, SequenceValidator<T> validator)`
  Finds the n most probable `sequences` with the highest probability.
  `String[]`
  `getOutcomes()`

- ## Method Details

  - ### bestSequence

    <T> Sequence bestSequence(T[] sequence, Object[] additionalContext, BeamSearchContextGenerator<T> cg, SequenceValidator<T> validator)
    Finds the `Sequence` with the highest probability.
    Parameters:
      `sequence` - The `sequence` used as input.
      `additionalContext` - An array that provides additional information (context).
      `cg` - The `BeamSearchContextGenerator` to use.
      `validator` - The `SequenceValidator` to validate with.
    Returns:
      The `Sequence` with the highest probability.

  - ### bestSequences

    <T> Sequence[] bestSequences(int numSequences, T[] sequence, Object[] additionalContext, double minSequenceScore, BeamSearchContextGenerator<T> cg, SequenceValidator<T> validator)
    Finds the n most probable `sequences` with the highest probability.
    Parameters:
      `numSequences` - The number of sequences to compute.
      `sequence` - The `sequence` used as input.
      `additionalContext` - An array that provides additional information (context).
      `minSequenceScore` - The minimum score to achieve.
      `cg` - The `BeamSearchContextGenerator` to use.
      `validator` - The `SequenceValidator` to validate with.
    Returns:
      The `sequences` with the highest probability.

  - ### bestSequences

    <T> Sequence[] bestSequences(int numSequences, T[] sequence, Object[] additionalContext, BeamSearchContextGenerator<T> cg, SequenceValidator<T> validator)
    Finds the n most probable `sequences` with the highest probability.
    Parameters:
      `numSequences` - The number of sequences to compute.
      `sequence` - The `sequence` used as input.
      `additionalContext` - An array that provides additional information (context).
      `cg` - The `BeamSearchContextGenerator` to use.
      `validator` - The `SequenceValidator` to validate with.
    Returns:
      The `sequences` with the highest probability.

  - ### getOutcomes

    String[] getOutcomes()
    Returns:
      Retrieves all possible outcomes.